

uniform sampler2D s_texture0;
varying vec4 v_shadowCoord;

uniform float u_bias;

void main()
{
  vec4 shadeFactor = texture2DProj(s_texture0, v_shadowCoord);

  float factor = 0.5 + (1.0 - (step((shadeFactor.z + u_bias) * v_shadowCoord.w, v_shadowCoord.z)*step(v_shadowCoord.z/v_shadowCoord.w,1.0)));

  gl_FragColor = vec4(factor,factor,factor,1.0);
}
