attribute vec4 a_position;

uniform mat4 u_matWVP;
uniform mat4 u_projMatVP;
uniform mat4 u_matW;

varying vec4 v_shadowCoord;

void main()
{
  // Shadow tex coord
  v_shadowCoord = u_projMatVP * u_matW * a_position;
  
  gl_Position = u_matWVP * a_position;
}
  