attribute vec4 a_position;
attribute vec2 a_texCoord1;

uniform mat4 u_matWVP;
uniform mat4 u_projMatVP;
uniform mat4 u_matW;

varying vec4 v_shadowCoord;
varying vec2 v_texCoord1;

void main()
{
  v_shadowCoord = u_projMatVP * u_matW * a_position;
  v_texCoord1 = a_texCoord1;
  
  gl_Position = u_matWVP * a_position;
}
  