uniform sampler2D s_texture0;
uniform samplerCube s_texture1;

varying vec2 v_texCoord1;
varying vec3 v_R;

void main()
{
  vec4 baseColor = texture2D(s_texture0, v_texCoord1);
  vec4 reflectedColor = textureCube(s_texture1, v_R);
  
  gl_FragColor = baseColor + reflectedColor;
  //gl_FragColor.rgb = mix(baseColor.rgb, reflectedColor.rgb, 0.2);
  gl_FragColor.a = 1.0;
}