attribute vec4 a_position;
attribute vec3 a_normal;
attribute vec2 a_texCoord1;

uniform mat4 u_matWVP;
uniform mat4 u_matW;
uniform mat4 u_matWInv;
uniform vec3 u_vecEye;

varying vec2 v_texCoord1;
varying vec3 v_R;

void main()
{
  vec3 positionW = (u_matW * a_position).xyz;
  vec3 I = positionW - u_vecEye;
  v_R = reflect(I, a_normal);
  
  v_texCoord1 = a_texCoord1;
  gl_Position = u_matWVP * a_position;
}