uniform sampler2D   s_texture0;
uniform samplerCube s_texture1;
uniform sampler2D   s_texture2;

varying vec2 v_texCoord0;
varying vec3 v_R;

void main()
{
  vec4 baseColor = texture2D(s_texture0, v_texCoord0);
  
  vec4 reflectedColor = textureCube(s_texture1, v_R);
  vec4 specColor      = texture2D(s_texture2, v_texCoord0);
  
  gl_FragColor = baseColor + (reflectedColor*specColor);
  gl_FragColor.a = 1.0;
}