attribute vec4 a_position;
attribute vec3 a_normal;
attribute vec2 a_texCoord0;

uniform mat4 u_matWVP;
uniform mat4 u_matW;
uniform vec3 u_vecEye;

varying vec2 v_texCoord0;
varying vec3 v_R;

void main()
{
  vec3 positionW = (u_matW * a_position).xyz;
  vec3 I = positionW - u_vecEye;
  v_R = reflect(I, a_normal);
  
  v_texCoord0 = a_texCoord0;
  gl_Position = u_matWVP * a_position;
}